Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class StringWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.StringWriter

public class StringWriter
extends Writer

A character stream that collects its output in a string buffer, which can then be used to construct a string.

Since:
  JDK1.1

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`StringWriter()` Create a new string writer, using the default initial string-buffer size.
`StringWriter(int initialSize)` Create a new string writer, using the specified initial string-buffer size.

Method Summary
`void` | `close()` Close the stream.
`void` | `flush()` Flush the stream.
`StringBuffer` | `getBuffer()` Return the string buffer itself.
`String` | `toString()` Return the buffer's current value as a string.
`void` | `write(char[] cbuf, int off, int len)` Write a portion of an array of characters.
`void` | `write(int c)` Write a single character.
`void` | `write(String str)` Write a string.
`void` | `write(String str, int off, int len)` Write a portion of a string.

Methods inherited from class java.io.Writer
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringWriter

    public StringWriter()

  Create a new string writer, using the default initial string-buffer size.

### StringWriter

    public StringWriter(int initialSize)

  Create a new string writer, using the specified initial string-buffer size.
  Parameters:
    `initialSize` - an int specifying the initial size of the buffer.

Method Detail

### write

    public void write(int c)

  Write a single character.
  Overrides:
    `write` in class `Writer`
  Following copied from class: `java.io.Writer`
  Parameters:
    `c` - int specifying a character to be written.
  Throws:
    `IOException` - If an I/O error occurs

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

  Write a portion of an array of characters.
  Overrides:
    `write` in class `Writer`
  Parameters:
    `cbuf` - Array of characters
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    public void write(String str)

  Write a string.
  Overrides:
    `write` in class `Writer`
  Following copied from class: `java.io.Writer`
  Parameters:
    `str` - String to be written
  Throws:
    `IOException` - If an I/O error occurs

### write

    public void write(String str,
                      int off,
                      int len)

  Write a portion of a string.
  Overrides:
    `write` in class `Writer`
  Parameters:
    `str` - String to be written
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### toString

    public String toString()

  Return the buffer's current value as a string.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

### getBuffer

    public StringBuffer getBuffer()

  Return the string buffer itself.
  Returns:
    StringBuffer holding the current buffer value.

### flush

    public void flush()

  Flush the stream.
  Overrides:
    `flush` in class `Writer`
  Following copied from class: `java.io.Writer`
  Throws:
    `IOException` - If an I/O error occurs

### close

    public void close()
               throws IOException

  Close the stream. This method does not release the buffer, since its contents might still be required.
  Overrides:
    `close` in class `Writer`
  Following copied from class: `java.io.Writer`
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.